Package org.apache.sling.distribution.queue.impl.jobhandling

## Class JobHandlingDistributionQueueProvider

- java.lang.Object
- - org.apache.sling.distribution.queue.impl.jobhandling.JobHandlingDistributionQueueProvider

All Implemented Interfaces:
  `org.apache.sling.distribution.queue.impl.DistributionQueueProvider`

    public class JobHandlingDistributionQueueProvider
    extends Object
    implements org.apache.sling.distribution.queue.impl.DistributionQueueProvider

a queue provider `DistributionQueueProvider` for sling jobs based `DistributionQueue`s

### Field Summary

Fields
`static String` `TYPE`

### Constructor Summary

Constructors
`JobHandlingDistributionQueueProvider​(String prefix, org.apache.sling.event.jobs.JobManager jobManager, org.osgi.framework.BundleContext context)`
`JobHandlingDistributionQueueProvider​(String prefix, org.apache.sling.event.jobs.JobManager jobManager, org.osgi.framework.BundleContext context, org.osgi.service.cm.ConfigurationAdmin configAdmin)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `disableQueueProcessing()` disables queue processing
`void` `enableQueueProcessing​(@NotNull org.apache.sling.distribution.queue.impl.DistributionQueueProcessor queueProcessor, String... queueNames)` enables queue processing
`@NotNull DistributionQueue` `getQueue​(@NotNull String queueName)` provide an `DistributionQueueType.ORDERED` queue with the given name
`DistributionQueue` `getQueue​(@NotNull String queueName, @NotNull DistributionQueueType type)` provde a queue of the given type with the given name

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### TYPE

    public static final String TYPE

See Also:
  Constant Field Values

### Constructor Detail

#### JobHandlingDistributionQueueProvider

    public JobHandlingDistributionQueueProvider​(String prefix,
                                                org.apache.sling.event.jobs.JobManager jobManager,
                                                org.osgi.framework.BundleContext context)

#### JobHandlingDistributionQueueProvider

    public JobHandlingDistributionQueueProvider​(String prefix,
                                                org.apache.sling.event.jobs.JobManager jobManager,
                                                org.osgi.framework.BundleContext context,
                                                org.osgi.service.cm.ConfigurationAdmin configAdmin)

### Method Detail

#### getQueue

    @NotNull
    public @NotNull DistributionQueue getQueue​(@NotNull
                                               @NotNull String queueName)

Description copied from interface: `org.apache.sling.distribution.queue.impl.DistributionQueueProvider`
provide an `DistributionQueueType.ORDERED` queue with the given name

Specified by:
  `getQueue` in interface `org.apache.sling.distribution.queue.impl.DistributionQueueProvider`
Parameters:
  `queueName` - the name of the queue to retrieve
Returns:
  a `DistributionQueue`

#### getQueue

    public DistributionQueue getQueue​(@NotNull
                                      @NotNull String queueName,
                                      @NotNull
                                      @NotNull DistributionQueueType type)

Description copied from interface: `org.apache.sling.distribution.queue.impl.DistributionQueueProvider`
provde a queue of the given type with the given name

Specified by:
  `getQueue` in interface `org.apache.sling.distribution.queue.impl.DistributionQueueProvider`
Parameters:
  `queueName` - the name of the queue
  `type` - the type of the queue
Returns:
  a `DistributionQueue`

#### enableQueueProcessing

    public void enableQueueProcessing​(@NotNull
                                      @NotNull org.apache.sling.distribution.queue.impl.DistributionQueueProcessor queueProcessor,
                                      String... queueNames)
                               throws DistributionException

Description copied from interface: `org.apache.sling.distribution.queue.impl.DistributionQueueProvider`
enables queue processing

Specified by:
  `enableQueueProcessing` in interface `org.apache.sling.distribution.queue.impl.DistributionQueueProvider`
Parameters:
  `queueProcessor` - the queue processor to be used
Throws:
  `DistributionException`

#### disableQueueProcessing

    public void disableQueueProcessing()

Description copied from interface: `org.apache.sling.distribution.queue.impl.DistributionQueueProvider`
disables queue processing

Specified by:
  `disableQueueProcessing` in interface `org.apache.sling.distribution.queue.impl.DistributionQueueProvider`